package com.intershop.issup.sellside.rest.mycoupon.v1.internal.modules;

import com.google.inject.AbstractModule;
import com.intershop.issup.sellside.rest.mycoupon.v1.capi.handler.MyCouponFeedbackHandler;
import com.intershop.issup.sellside.rest.mycoupon.v1.capi.handler.MyCouponHandler;
import com.intershop.issup.sellside.rest.mycoupon.v1.internal.handler.MyCouponFeedbackHandlerImpl;
import com.intershop.issup.sellside.rest.mycoupon.v1.internal.handler.MyCouponHandlerImpl;

public class AppSfRestMyCouponHandlerModule extends AbstractModule
{
    @Override
    protected void configure()
    {
        bind(MyCouponFeedbackHandler.class).to(MyCouponFeedbackHandlerImpl.class);
        bind(MyCouponHandler.class).to(MyCouponHandlerImpl.class);
    }
}
